#
# Conditional build:
%bcond_with	tests	# perform "make test" (uses network)
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	WWW
%define		pnam	libwww-perl
Summary:	libwww-perl - a simple and consistent API to the World-Wide Web
Summary(pl.UTF-8):	libwww-perl - prosty i logiczny API do WWW
Name:		perl-libwww
Version:	6.43
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://search.cpan.org/CPAN/authors/id/O/OA/OALDERS/%{pnam}-%{version}.tar.gz
# Source0-md5:	e64d87052eb51bb55627c756ccdfe233
URL:		http://search.cpan.org/dist/libwww-perl/
BuildRequires:	perl-devel >= 1:5.8.8
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	rpmbuild(macros) >= 1.663
%if %{with tests}
BuildRequires:	perl(Net::FTP) >= 2.58
BuildRequires:	perl-Digest-MD5
BuildRequires:	perl-Encode >= 2.12
BuildRequires:	perl-Encode-Locale
BuildRequires:	perl-File-Listing >= 6
BuildRequires:	perl-HTML-Parser >= 3.33
BuildRequires:	perl-HTTP-Cookies >= 6
BuildRequires:	perl-HTTP-Daemon >= 6
BuildRequires:	perl-HTTP-Date >= 6
BuildRequires:	perl-HTTP-Message >= 6
BuildRequires:	perl-HTTP-Negotiate >= 6
BuildRequires:	perl-LWP-MediaTypes >= 6
BuildRequires:	perl-MIME-Base64 >= 2.1
BuildRequires:	perl-Net-HTTP >= 6.18
BuildRequires:	perl-Test-Needs
BuildRequires:	perl-Test-RequiresInternet
BuildRequires:	perl-Test-Simple
BuildRequires:	perl-URI >= 1.10
BuildRequires:	perl-WWW-RobotRules >= 6
BuildRequires:	perl-libnet
%endif
Requires:	perl-File-Listing >= 6
Requires:	perl-HTTP-Cookies >= 6
Requires:	perl-HTTP-Daemon >= 6
Requires:	perl-HTTP-Date >= 6
Requires:	perl-HTTP-Message >= 6
Requires:	perl-HTTP-Negotiate >= 6
Requires:	perl-LWP-MediaTypes >= 6
Requires:	perl-MIME-Base64 >= 2.1
Requires:	perl-Net-HTTP >= 6.18
Requires:	perl-URI >= 1.10
Requires:	perl-WWW-RobotRules >= 6
Obsoletes:	perl-libwww-perl
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# modules not always required
%define	_noautoreq_perl	HTTP::GHTTP Authen::NTLM

%description
The libwww-perl collection is a set of Perl modules which provides a
simple and consistent application programming interface to the
World-Wide Web. The main focus of the library is to provide classes
and functions that allow you to write WWW clients. The library also
contain modules that are of more general use and even classes that
help you implement simple HTTP servers.

%description -l pl.UTF-8
libwww-perl jest zbiorem modułów Perla, dostarczających prostego API
do WWW (World-Wide Web). Głównym zadaniem biblioteki jest
udostępnianie klas i funkcji, pozwalających na pisanie klientów WWW.
Biblioteka zawiera także moduły bardziej ogólnego przeznaczenia, a
nawet klasy, pozwalające na implementację prostego serwera HTTP.

%prep
%setup -q -n libwww-perl-%{version}

%build
yes | %{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

for file in GET HEAD POST; do
	ln -sf lwp-request $RPM_BUILD_ROOT%{_bindir}/$file
	echo '.so lwp-request.1p' > $RPM_BUILD_ROOT%{_mandir}/man1/$file.1p
done
%{__rm} $RPM_BUILD_ROOT%{perl_vendorlib}/libwww/*.pod

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README*
%attr(755,root,root) %{_bindir}/GET
%attr(755,root,root) %{_bindir}/HEAD
%attr(755,root,root) %{_bindir}/POST
%attr(755,root,root) %{_bindir}/lwp-*
%{perl_vendorlib}/LWP.pm
%{perl_vendorlib}/LWP/Authen
%{perl_vendorlib}/LWP/ConnCache.pm
%{perl_vendorlib}/LWP/Debug.pm
%dir %{perl_vendorlib}/LWP/Debug
%{perl_vendorlib}/LWP/Debug/TraceHTTP.pm
%{perl_vendorlib}/LWP/DebugFile.pm
%{perl_vendorlib}/LWP/MemberMixin.pm
%{perl_vendorlib}/LWP/Protocol.pm
%{perl_vendorlib}/LWP/Protocol
%{perl_vendorlib}/LWP/RobotUA.pm
%{perl_vendorlib}/LWP/Simple.pm
%{perl_vendorlib}/LWP/UserAgent.pm
%{_mandir}/man1/GET.1p*
%{_mandir}/man1/HEAD.1p*
%{_mandir}/man1/POST.1p*
%{_mandir}/man1/lwp-*.1p*
%{_mandir}/man3/LWP*.3pm*
%{_mandir}/man3/libwww::lwpcook.3pm*
%{_mandir}/man3/libwww::lwptut.3pm*
%changelog
* Sat Nov 30 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-libwww.git;a=log;h=master

* Sat Nov 30 2019 Jan Palus <atler@pld-linux.org> 32b1dae
- up to 6.43

* Tue Oct 29 2019 Jan Palus <atler@pld-linux.org> a630b2f
- up to 6.41

* Sat Oct 26 2019 Jan Palus <atler@pld-linux.org> 658bfa0
- up to 6.40

* Sat May 18 2019 Jan Palus <atler@pld-linux.org> f27df48
- up to 6.39

* Tue Mar 26 2019 Adam Gołębiowski <adamg@pld-linux.org> ac3bd03
- updated to 6.38

* Tue Oct 02 2018 Jakub Bogusz <qboosh@pld-linux.org> 63744f4
- more tests BRs

* Tue Oct 02 2018 Jakub Bogusz <qboosh@pld-linux.org> 2878872
- .pod cleanup

* Tue Sep 04 2018 Marcin Krol <hawk@tld-linux.org> e23e58c
- updated to 6.35

* Sun Feb 07 2016 Jan Palus <atler@pld-linux.org> 0077922
- up to 6.15

* Sat Oct 25 2014 Jan Palus <atler@pld-linux.org> 70c8f6c
- up to 6.08

* Sat Jun 22 2013 Jakub Bogusz <qboosh@pld-linux.org> f387c65
- updated to 6.05

* Fri Jun 01 2012 Jakub Bogusz <qboosh@pld-linux.org> e449139
- updated to 6.04

* Thu Nov 17 2011 Jakub Bogusz <qboosh@pld-linux.org> 90f7b15
- updated to 6.03

* Wed Apr 13 2011 Caleb Maclennan <caleb@alerque.com> a364137
- Up to 6.02

* Sun Mar 13 2011 Jakub Bogusz <qboosh@pld-linux.org> 3e6aff4
- updated to 6.01 (classes outside LWP:: namespace have been separated)
- top-level vendorlib/LWP dir now belongs to (separated as well) perl-LWP-MediaTypes

* Fri Nov 05 2010 Caleb Maclennan <caleb@alerque.com> 64e31c1
- Up to 5.837

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 38c7311
- release 2

* Thu May 20 2010 sparky <sparky@pld-linux.org> 7780020
- use source0 uri that works on cpan mirrors

* Wed May 19 2010 Jakub Bogusz <qboosh@pld-linux.org> 58e09e5
- updated to 5.836

* Fri Oct 16 2009 amateja <amateja@pld-linux.org> 1de97fd
- updated to 5.833

